Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.wsse
Interface UsernameToken

All Superinterfaces:
  Token

Deprecated. please use new WS Security API

    public interface UsernameToken

extends Token

Method Summary
`long` | `getCreatedTimeInMillis()` Deprecated. returns the Created in milliseconds time format
`String` | `getNonce()` Deprecated. returns the nonce, as encoded in the token
`String` | `getPassword()` Deprecated. Returns the token's password, if available.
`String` | `getPasswordDigest()` Deprecated. returns the password digest, as encoded in the token
`String` | `getPasswordType()` Deprecated. returns the password type for the token.
`UserInfo` | `getUserInfo()` Deprecated. Returns the UserInfo contained in the UsernameToken
`String` | `getUsername()` Deprecated. Returns the tokens username.
`void` | `setGenerateNonce(boolean nonce)` Deprecated.
`void` | `setId(String id)` Deprecated. Sets the ID attribute of the UsernameToken.
`boolean` | `verifyDigest(String password)` Deprecated. If the token contains a digest, this method will verify the digest against the provided password

Methods inherited from interface weblogic.xml.security.wsse.Token
`getCertificate, getCertificateChain, getId, getPrivateKey, getPublicKey, getSecretKey`

Method Detail

### getUsername

    String getUsername()

  Deprecated.
  Returns the tokens username.

  Returns:

### getPassword

    String getPassword()

  Deprecated.
  Returns the token's password, if available.

  Returns:

### getPasswordDigest

    String getPasswordDigest()

  Deprecated.
  returns the password digest, as encoded in the token

  Returns:

### getPasswordType

    String getPasswordType()

  Deprecated.
  returns the password type for the token.

  Returns:

### setId

    void setId(String id)
               throws SecurityProcessingException

  Deprecated.
  Sets the ID attribute of the UsernameToken.

  Parameters:
    `id` -
  Throws:
    `SecurityProcessingException`

### verifyDigest

    boolean verifyDigest(String password)
                         throws NoSuchAlgorithmException

  Deprecated.
  If the token contains a digest, this method will verify the digest against the provided password

  Parameters:
    `password` -
  Returns:
  Throws:
    `NoSuchAlgorithmException`

### getUserInfo

    UserInfo getUserInfo()

  Deprecated.
  Returns the UserInfo contained in the UsernameToken

  Returns:

### setGenerateNonce

    void setGenerateNonce(boolean nonce)

  Deprecated.

### getNonce

    String getNonce()

  Deprecated.
  returns the nonce, as encoded in the token

  Returns:

### getCreatedTimeInMillis

    long getCreatedTimeInMillis()

  Deprecated.
  returns the Created in milliseconds time format

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD